	<ServerSettings>
		<Admin>
			<Username>Clinton</Username>
			<Password>nigger</Password>
			<AdminListenPort>60504</AdminListenPort>
		</Admin>
		<LicenseFile>DemoLicense_20Users.lic</LicenseFile>
		<CheckForUpdates>true</CheckForUpdates>
		<PolicyFileSupport>
			<Enabled>true</Enabled>
			<PolicyFile AutoGenerate="true" />
		</PolicyFileSupport>
		<WebServer>
			<Enabled>true</Enabled>
			<IP>127.0.0.1</IP>
			<Port>8080</Port>
			<DirectoryListingEnabled>true</DirectoryListingEnabled>
			<Root>webserver-root\</Root>
			<Templates>
				<Template Type="404">webserver-docs\404.html</Template>
				<Template Type="DirectoryListing">webserver-docs\DirectoryListing.html</Template>
				<Template Type="DirectoryListingDenied">webserver-docs\DirectoryListingDenied.html</Template>
			</Templates>
		</WebServer>
		<ChatServer>
			<Addresses>
				<Address>
					<IP>127.0.0.1</IP>
					<Port>9875</Port>
				</Address>
			</Addresses>
			<MaximumConnections>100</MaximumConnections>
			<Client>
				<Queue>
					<InputSize>10000</InputSize>
					<OutputSize>20000</OutputSize>
					<OutputMessageLimit>50</OutputMessageLimit>
				</Queue>
				<InactivityTimeout>1200</InactivityTimeout>
				<LoginDelay>60</LoginDelay>
			</Client>
			<ThreadPool>
				<Enabled>true</Enabled>
				<MinimumThreads>1</MinimumThreads>
				<MaximumThreads>10</MaximumThreads>
				<KeepAliveSeconds>60</KeepAliveSeconds>
			</ThreadPool>
		</ChatServer>
		<Logging>
			<RootFile>logs\electroserver_%g.log</RootFile>
			<MaxSize>500000</MaxSize>
			<NumberOfFiles>5</NumberOfFiles>
			<Level>INFO</Level>
			<LogToScreen>true</LogToScreen>
		</Logging>
		<Moderators>
			<Moderator>
				<Password>password</Password>
				<Username>Clint</Username>
			</Moderator>
			<Moderator />
		</Moderators>
		<BannedUsers>
			<BannedUser>
				<IP />
			</BannedUser>
			<BannedUser>
				<Name />
			</BannedUser>
		</BannedUsers>
		<LanguageFilter>
			<Enabled>false</Enabled>
			<FilterRoomNames>false</FilterRoomNames>
			<FilterUserNames>false</FilterUserNames>
			<SuppressVulgarMessages>false</SuppressVulgarMessages>
			<WarningsBeforeKick>1</WarningsBeforeKick>
			<KicksBeforeBan>1</KicksBeforeBan>
			<BanDuration>15</BanDuration>
			<WarningMessage>Hey! No swearing!</WarningMessage>
			<KickMessage>Hey! I'm sick of your swearning, you're outta here!</KickMessage>
			<BanMessage>Ok, that's it, you're banned!</BanMessage>
			<StripPunctuation>false</StripPunctuation>
			<StripHtml>false</StripHtml>
			<RootWords>
				<RootWord>fuck</RootWord>
				<RootWord>cunt</RootWord>
				<RootWord>cock</RootWord>
				<RootWord>bastard</RootWord>
				<RootWord>nigger</RootWord>
				<RootWord>vagina</RootWord>
			</RootWords>
			<Words>
				<Word>damn</Word>
				<Word>shit</Word>
				<Word>shithead</Word>
				<Word>ass</Word>
				<Word>asshole</Word>
				<Word>twat</Word>
				<Word>pussy</Word>
				<Word>dike</Word>
				<Word>whore</Word>
				<Word>cum</Word>
			</Words>
		</LanguageFilter>
		<FloodingFilter>
			<Enabled>false</Enabled>
			<FilterPrivateMessages>false</FilterPrivateMessages>
			<Interval>5</Interval>
			<MaximumMessages>5</MaximumMessages>
			<MaxRepeatedMessages>5</MaxRepeatedMessages>
			<WarningsBeforeKick>1</WarningsBeforeKick>
			<KicksBeforeBan>1</KicksBeforeBan>
			<BanDuration>10</BanDuration>
			<WarningMessage>Hey! No flooding!</WarningMessage>
			<KickMessage>Hey! I'm sick of your flooding, you're outta here!</KickMessage>
			<BanMessage>Ok, that's it, you're banned!</BanMessage>
		</FloodingFilter>
		<PersistentRooms>
			<Zones>
				<Zone>
					<Name>TheoChat</Name>
					<Rooms>
						<Room Updatable="true" Hidden="false" Numbered="false" UserVariablesEnabled="true">
							<Name>Shark Tale</Name>
							<Password />
							<Description />
							<Capacity>20</Capacity>
							<RoomVariables>
								<RoomVariable Persistent="true" Locked="true">
									<Name>MapPath</Name>
									<Data>dance.xml</Data>
								</RoomVariable>
							</RoomVariables>
							<Plugins />
						</Room>
						<Room Updatable="true" Hidden="false" Numbered="false" UserVariablesEnabled="true">
							<Name>Mexico</Name>
							<Password />
							<Description />
							<Capacity>20</Capacity>
							<RoomVariables>
								<RoomVariable Persistent="true" Locked="true">
									<Name>MapPath</Name>
									<Data>atrium.xml</Data>
								</RoomVariable>
							</RoomVariables>
							<Plugins />
						</Room>
						<Room Updatable="true" Hidden="false" Numbered="false" UserVariablesEnabled="true">
							<Name>Private Room 1</Name>
							<Password />
							<Description />
							<Capacity>20</Capacity>
							<RoomVariables>
								<RoomVariable Persistent="true" Locked="true">
									<Name>MapPath</Name>
									<Data>lounge.xml</Data>
								</RoomVariable>
							</RoomVariables>
							<Plugins />
						</Room>
						<Room Updatable="true" Hidden="false" Numbered="false" UserVariablesEnabled="true">
							<Name>Private Room 2</Name>
							<Password />
							<Description />
							<Capacity>10</Capacity>
							<RoomVariables>
								<RoomVariable Persistent="true" Locked="true">
									<Name>MapPath</Name>
									<Data>garden.xml</Data>
								</RoomVariable>
							</RoomVariables>
							<Plugins />
						</Room>
					</Rooms>
				</Zone>
			</Zones>
		</PersistentRooms>
		<Plugins>
			<Plugin>
				<Name>SimpleActionScriptPlugin</Name>
				<Type>Script</Type>
				<Scope>Room</Scope>
				<File>plugins\SimpleActionScriptPlugin.as</File>
				<Variables />
			</Plugin>
			<Plugin>
				<Name>SimpleJavaPlugin</Name>
				<Type>Java</Type>
				<Scope>Room</Scope>
				<File>com.electrotank.electroserver.plugins.SimpleJavaPlugin</File>
				<Variables />
			</Plugin>
			<Plugin>
				<Name>LoadVarsScriptPlugin</Name>
				<Type>Script</Type>
				<Scope>Server</Scope>
				<File>plugins\LoadVarsExample.as</File>
				<Variables />
			</Plugin>
			<Plugin>
				<Name>VariablesExampleJavaPlugin</Name>
				<Type>Java</Type>
				<Scope>Server</Scope>
				<File>com.electrotank.electroserver.plugins.VariablesExampleJavaPlugin</File>
				<Variables>
					<Variable>
						<Name>TestVariable</Name>
						<Value>Blah Blah, Java test variable</Value>
					</Variable>
				</Variables>
			</Plugin>
			<Plugin>
				<Name>VariablesExampleScriptPlugin</Name>
				<Type>Script</Type>
				<Scope>Server</Scope>
				<File>plugins\VariablesExampleScriptPlugin.as</File>
				<Variables>
					<Variable>
						<Name>TestVariable</Name>
						<Value>Blah Blah, Script test variable</Value>
					</Variable>
				</Variables>
			</Plugin>
			<Plugin>
				<Name>AbilitiesShowcasePlugin</Name>
				<Type>Script</Type>
				<Scope>Room</Scope>
				<File>plugins\AbilitiesShowcasePlugin.as</File>
				<Variables />
			</Plugin>
			<Plugin>
				<Name>SharedBallPlugin</Name>
				<Type>Script</Type>
				<Scope>Room</Scope>
				<File>plugins\SharedBallPlugin.as</File>
				<Variables />
			</Plugin>
			<Plugin>
				<Name>AdminPlugin</Name>
				<Type>Script</Type>
				<Scope>Server</Scope>
				<File>plugins\AdminPlugin.as</File>
				<Variables />
			</Plugin>
		</Plugins>
	</ServerSettings>
